aboutsummaryrefslogtreecommitdiffstats
path: root/testing/jreen/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-05-23 03:02:30 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-05-23 03:02:30 +0200
commita2286e02e1978560579a768e509cd1980a943ab6 (patch)
treede25549173802ab2fb1199ba13560a56abd8a0fd /testing/jreen/APKBUILD
parent09ae64e4787a598a58a31b4c9df056ca754c95f8 (diff)
downloadaports-a2286e02e1978560579a768e509cd1980a943ab6.tar.gz
aports-a2286e02e1978560579a768e509cd1980a943ab6.tar.bz2
aports-a2286e02e1978560579a768e509cd1980a943ab6.tar.xz
testing/jreen: new aport
Diffstat (limited to 'testing/jreen/APKBUILD')
-rw-r--r--testing/jreen/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/jreen/APKBUILD b/testing/jreen/APKBUILD
new file mode 100644
index 0000000000..5d4b75e212
--- /dev/null
+++ b/testing/jreen/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=jreen
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="Free and Opensource Jabber library, written in C++ using cross-platform framework Qt."
+url="http://qutim.org/jreen"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev="qt-dev speex-dev libgsasl-dev"
+makedepends="$depends_dev cmake"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/euroelessar/jreen/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ mkdir -p "$_builddir"/build
+ cd "$_builddir"/build
+ cmake "$_builddir" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"/build
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="1a3efb4fd236b0abc97c885347cb2ee7 jreen-1.2.1.tar.gz"
+sha256sums="be5de04b6f54e47bdec92707600441a39e46add958181ad2b5b2d1bf92693fbd jreen-1.2.1.tar.gz"
+sha512sums="3ab28cf2a2c2a595892b15acb9e49c7aa64dbb3b2ac13138ce011b16c2c6b3abeb524231d271fb0f4a6da028548ae6995b34bd70ee9c40fb54e6d64fac2633a2 jreen-1.2.1.tar.gz"